#ifndef KORELACE_H
#define KORELACE_H

#include <fftw3.h>

#include <funkce.h>
#include <my_image.h>


class korelace {
    //metody::
public:
    korelace(my_image* image);
    ~korelace();
    void find(my_image* image);
    void stejne(my_image*img1,my_image*img2);
    void stejne(fftw_complex*img1,fftw_complex*img2,BOD size);
private:
    fftw_complex *img2ffw(my_image *img);
    fftw_complex* img2ffw(my_image *img,BOD size);
    fftw_complex* my(const IplImage *img,BOD size);//pro ladeni zde byla tato funkce


    void ffw2show(fftw_complex * plane,BOD size);
    BOD phase_correlation(fftw_complex *img1 ,fftw_complex *img2,BOD size);
    //promenne::
public:
    BOD location;
private:
    my_image * img;
    my_image * img_ref;

    fftw_complex *fftw_ref;
    fftw_complex *fftw;


};

#endif // KORELACE_H
